Subject: Re: bug#62009: 29.0.60; Emacs crashes on setf symbol-name

From: Augusto Stoffel <[email-masked]>
Date: Fri, 10 Mar 2023 09:45:11 +0100

On Fri, 10 Mar 2023 at 09:11, Eli Zaretskii wrote:

>> Is it not possible to detect this before the illegal memory access, and
>> raise a signal in Emacs Lisp?
>
> It won't be easy, if at all possible.  And I'm not sure we even want
> to do that.  What would be the purpose of supporting such a use of
> Emacs?

What is the purpose of supporting mutation of symbol names in general?

  (aset (symbol-name 'find-file) 1 ?o)
  (fboundp 'find-file)
  => nil

This one doesn't crash Emacs, but wreaks havoc, maybe in even worse
ways.